Package org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.AddReplica

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AddReplica

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Enclosing class:
  CollectionAdminRequest<T extends CollectionAdminResponse>

    public static class CollectionAdminRequest.AddReplica
    extends CollectionAdminRequest.AsyncCollectionAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.CollectionProp, CollectionAdminRequest.ColStatus, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateCategoryRoutedAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.CreateTimeRoutedAlias, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteBackup, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.DimensionalRoutedAlias, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.InstallShard, CollectionAdminRequest.List, CollectionAdminRequest.ListAliases, CollectionAdminRequest.ListBackup, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MockCollTask, CollectionAdminRequest.Modify, CollectionAdminRequest.MoveReplica, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.ReindexCollection, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.Rename, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestApiDistributedProcessing, CollectionAdminRequest.RequestApiDistributedProcessingResponse, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.RoutedAliasAdminRequest, CollectionAdminRequest.SetAliasProperty, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`protected String` `collection`
`protected String` `coreName`
`protected String` `createNodeSet`
`protected String` `dataDir`
`protected String` `instanceDir`
`protected String` `node`
`protected Integer` `nrtReplicas`
`protected Properties` `properties`
`protected Integer` `pullReplicas`
`protected String` `routeKey`
`protected String` `shard`
`protected Boolean` `skipNodeAssignment`
`protected Integer` `tlogReplicas`
`protected Replica.Type` `type`
`protected String` `ulogDir`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`asyncId, waitForFinalState`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action, MODIFIABLE_COLLECTION_PROPERTIES, PROPERTY_PREFIX`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCreateNodeSet()`
`String` `getDataDir()`
`String` `getInstanceDir()`
`String` `getNode()`
`Integer` `getNrtReplicas()`
`SolrParams` `getParams()`
`Properties` `getProperties()`
`Integer` `getPullReplicas()`
`String` `getRouteKey()`
`String` `getShard()`
`Integer` `getTlogReplicas()`
`String` `getUlogDir()`
`CollectionAdminRequest.AddReplica` `setCoreName​(String coreName)`
`CollectionAdminRequest.AddReplica` `setCreateNodeSet​(String createNodeSet)`
`CollectionAdminRequest.AddReplica` `setDataDir​(String dataDir)`
`CollectionAdminRequest.AddReplica` `setInstanceDir​(String instanceDir)`
`CollectionAdminRequest.AddReplica` `setNode​(String node)`
`CollectionAdminRequest.AddReplica` `setNrtReplicas​(Integer nrtReplicas)`
`CollectionAdminRequest.AddReplica` `setProperties​(Properties properties)`
`CollectionAdminRequest.AddReplica` `setPullReplicas​(Integer pullReplicas)`
`CollectionAdminRequest.AddReplica` `setSkipNodeAssignment​(Boolean skipNodeAssignment)`
`CollectionAdminRequest.AddReplica` `setTlogReplicas​(Integer tlogReplicas)`
`CollectionAdminRequest.AddReplica` `setType​(Replica.Type type)`
`CollectionAdminRequest.AddReplica` `setUlogDir​(String ulogDir)`
`CollectionAdminRequest.AddReplica` `withProperty​(String key, String value)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync, setAsyncId, setWaitForFinalState`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, collectionStatus, collectionStatuses, createAlias, createCategoryRoutedAlias, createCollection, createCollection, createCollection, createCollectionWithImplicitRouter, createCollectionWithImplicitRouter, createDimensionalRoutedAlias, createShard, createTimeRoutedAlias, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteBackupById, deleteBackupByRecency, deleteBackupPurgeUnusedFiles, deleteCollection, deleteNode, deleteReplica, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getOverseerStatus, getRequestType, installDataToShard, installDataToShard, listBackup, listCollections, migrateData, mockCollTask, modifyCollection, moveReplica, propagateBasicAuthCreds, rebalanceLeaders, reindexCollection, reloadCollection, removeRole, renameCollection, requestStatus, restoreCollection, setAliasProperty, setClusterProperty, setCollectionProperty, splitShard, toString, waitForAsyncRequest, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Field Detail

#### collection

    protected String collection

#### shard

    protected String shard

#### node

    protected String node

#### coreName

    protected String coreName

#### routeKey

    protected String routeKey

#### instanceDir

    protected String instanceDir

#### dataDir

    protected String dataDir

#### ulogDir

    protected String ulogDir

#### properties

    protected Properties properties

#### type

    protected Replica.Type type

#### nrtReplicas

    protected Integer nrtReplicas

#### tlogReplicas

    protected Integer tlogReplicas

#### pullReplicas

    protected Integer pullReplicas

#### skipNodeAssignment

    protected Boolean skipNodeAssignment

#### createNodeSet

    protected String createNodeSet

### Method Detail

#### getProperties

    public Properties getProperties()

#### setProperties

    public CollectionAdminRequest.AddReplica setProperties​(Properties properties)

#### withProperty

    public CollectionAdminRequest.AddReplica withProperty​(String key,
                                                          String value)

#### getNode

    public String getNode()

#### setNode

    public CollectionAdminRequest.AddReplica setNode​(String node)

#### setSkipNodeAssignment

    public CollectionAdminRequest.AddReplica setSkipNodeAssignment​(Boolean skipNodeAssignment)

#### getRouteKey

    public String getRouteKey()

#### getInstanceDir

    public String getInstanceDir()

#### getUlogDir

    public String getUlogDir()

#### setInstanceDir

    public CollectionAdminRequest.AddReplica setInstanceDir​(String instanceDir)

#### getDataDir

    public String getDataDir()

#### setDataDir

    public CollectionAdminRequest.AddReplica setDataDir​(String dataDir)

#### setType

    public CollectionAdminRequest.AddReplica setType​(Replica.Type type)

#### setCoreName

    public CollectionAdminRequest.AddReplica setCoreName​(String coreName)

#### setUlogDir

    public CollectionAdminRequest.AddReplica setUlogDir​(String ulogDir)

#### getShard

    public String getShard()

#### getNrtReplicas

    public Integer getNrtReplicas()

#### setNrtReplicas

    public CollectionAdminRequest.AddReplica setNrtReplicas​(Integer nrtReplicas)

#### getTlogReplicas

    public Integer getTlogReplicas()

#### setTlogReplicas

    public CollectionAdminRequest.AddReplica setTlogReplicas​(Integer tlogReplicas)

#### getPullReplicas

    public Integer getPullReplicas()

#### setPullReplicas

    public CollectionAdminRequest.AddReplica setPullReplicas​(Integer pullReplicas)

#### getCreateNodeSet

    public String getCreateNodeSet()

#### setCreateNodeSet

    public CollectionAdminRequest.AddReplica setCreateNodeSet​(String createNodeSet)

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`